#include <iostream>
using namespace std;

int main(){
	long long n, k, y, z, x=0;
	string s="";
	scanf("%lld%lld", &n, &k);
	long long a[2*n+1]={0}, b[2*n+1]={0};
	for(z=0; z<n; z++){
		scanf("%lld", &y);
		a[y+n+1]++;
	}
	for(z=0; z<2*n+1; z++){
		if(a[z]>=k){
			b[x]=z-n-1;
			x++;
		}
	}
	cout << x << endl;
	for(z=0; z<x;z++)printf("%lld ", b[z]);
	return 0;
}